UPDATE-XFONTS-TRADITIONAL(8)

NAME
update-xfonts-traditional - generate traditional ASCII fixed-with fonts

SYNOPSIS
update-xfonts-traditional --bdf-filter

update-xfonts-traditional --process-pcf in.pcf.gz out.pcf.gz

update-xfonts-traditional --process-fontdirs fontdir ...

update-xfonts-traditional --process-fonttrees fonttree ...

DESCRIPTION
update-xfonts-traditional generates versions of X11 PCF fonts which have been edited to restore compatibility with traditional versions of US-ASCII, and to restore some of the glyphs to more traditional appearance.

MODES

--bdf-filter
    Takes a BDF on standard input and tries to generate an edited BDF on standard output.

--process-pcf
    Takes to PCF filename arguments; the input PCF is uncompressed, decompiled to a BDF, processed, recompiled to a PCF and recompressed.

--process-fontdirs
    In each fontdir all files font.pcf.gz are processed, to generate where applicable corresponding trad--font.pcf.gz files. The mtime, ctime and inode number of the input files are recorded so that reprocessing the same directory later will be fast.

--process-fonttrees
    Each fonttree is searched for font directories which are processed as above.

--update
    Each built in font tree location is searched for font directories which are processed as above.

OPTIONS

-R|--rules-path rulespath
    Prepend rulespath to the path of directories from which to load glyph editing rules.

--share-dir share-dir
    Use share-dir instead of /usr[/local]/share/xfonts-traditional.

--parallel|-j cpus
    Use up to cpus cores for processing fonts. The default is all the cpus available.

--always-reprocess
    When scanning font directories, always reprocess all the fonts, regardless of whether we think they have been done already.

--no-tolerate-bad-fonts
    Treat bad input fonts (eg, ones for which pcf2bdf crashes, or ones with other problems) as a fatal error. Normally they just produce a warning.

FILES

xfonts-traditional.done
    In each font directory, records information about processed fonts, so as to optimise away unnecessary reprocessing.

xfonts-traditional.log
    In each font directory, records a lot of which fonts were processed and to a certain extent if not why not.

/usr/share/fonts/X11 /usr/local/share/fonts/X11
    Default font tree paths for --update.

trad--font.pcf.gz
    In any font directory, our output files. Any other files matching this pattern may be overwritten or deleted.

EXIT STATUS

0   All went well and there were no warnings.

2   With --bdf-filter and --process-pcf only, indicates that the input font did not need to be edited, or was not suitable for editing, and has not been written out, so the output is incomplete, but this is not an error.

any other
    There were problems.

BUGS
Only the 6x13 font conventionally called supported. This package comes too late to rescue Unix from an incompatible change to its character set.